Debian Bug report logs - #583993
discover-pkginstall: Recommends ipw3954-source, which no longer exists

version graph

Package: discover-data; Maintainer for discover-data is Debian Install System Team <debian-boot@lists.debian.org>; Source for discover-data is src:discover-data.

Reported by: Felipe Sateler <fsateler@gmail.com>

Date: Tue, 1 Jun 2010 00:33:02 UTC

Severity: normal

Found in version discover-data/2.2010.04.07

Fixed in version discover-data/2.2010.10.14

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#583993; Package discover-data. (Tue, 01 Jun 2010 00:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felipe Sateler <fsateler@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 01 Jun 2010 00:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Felipe Sateler <fsateler@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: discover-pkginstall: Recommends ipw3954-source, which no longer exists
Date: Mon, 31 May 2010 20:29:18 -0400
Package: discover-data
Version: 2.2010.04.07
Severity: normal

% discover-pkginstall -l
ipw3945-source

ipw3945 has been superseeded by the iwl drivers.

-- Package-specific info:
lspci:
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 0c)
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c)
00:02.1 Display controller [0380]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a03] (rev 0c)
00:1a.0 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 [8086:2834] (rev 02)
00:1a.1 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 [8086:2835] (rev 02)
00:1a.7 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 [8086:283a] (rev 02)
00:1b.0 Audio device [0403]: Intel Corporation 82801H (ICH8 Family) HD Audio Controller [8086:284b] (rev 02)
00:1c.0 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 [8086:283f] (rev 02)
00:1c.1 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 [8086:2841] (rev 02)
00:1c.3 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 [8086:2845] (rev 02)
00:1c.5 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 [8086:2849] (rev 02)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 [8086:2830] (rev 02)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 [8086:2831] (rev 02)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 [8086:2832] (rev 02)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 [8086:2836] (rev 02)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev f2)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller [8086:2815] (rev 02)
00:1f.1 IDE interface [0101]: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller [8086:2850] (rev 02)
00:1f.2 SATA controller [0106]: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller [8086:2829] (rev 02)
00:1f.3 SMBus [0c05]: Intel Corporation 82801H (ICH8 Family) SMBus Controller [8086:283e] (rev 02)
03:01.0 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C832 IEEE 1394 Controller [1180:0832] (rev 05)
03:01.1 SD Host controller [0805]: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter [1180:0822] (rev 22)
03:01.2 System peripheral [0880]: Ricoh Co Ltd R5C843 MMC Host Controller [1180:0843] (rev 12)
03:01.3 System peripheral [0880]: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter [1180:0592] (rev 12)
03:01.4 System peripheral [0880]: Ricoh Co Ltd xD-Picture Card Controller [1180:0852] (rev ff)
09:00.0 Ethernet controller [0200]: Broadcom Corporation NetLink BCM5906M Fast Ethernet PCI Express [14e4:1713] (rev 02)
0c:00.0 Network controller [0280]: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection [8086:4222] (rev 02)

lsusb:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 038: ID 0a5c:4500 Broadcom Corp. BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
Bus 003 Device 039: ID 413c:8126 Dell Computer Corp. Wireless 355 Bluetooth
Bus 003 Device 040: ID 0a5c:4502 Broadcom Corp. Keyboard (Boot Interface Subclass)
Bus 003 Device 041: ID 0a5c:4503 Broadcom Corp. 
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

loaded modules:
8086:2a02 drm
8086:2834 uhci_hcd
8086:2835 uhci_hcd
8086:283a ehci_hcd
8086:284b snd_hda_intel
8086:2830 uhci_hcd
8086:2831 uhci_hcd
8086:2832 uhci_hcd
8086:2836 ehci_hcd
8086:2850 ata_piix
8086:2829 ahci
8086:283e i2c_i801
1180:0832 firewire_ohci
1180:0822 sdhci_pci
1180:0843 ricoh_mmc
14e4:1713 tg3
8086:4222 iwl3945


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

discover-data depends on no packages.

Versions of packages discover-data recommends:
ii  pciutils                      1:3.1.7-3  Linux PCI Utilities

discover-data suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#583993; Package discover-data. (Tue, 01 Jun 2010 06:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 01 Jun 2010 06:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 583993@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Felipe Sateler <fsateler@gmail.com>
Cc: 583993@bugs.debian.org
Subject: Re: Bug#583993: discover-pkginstall: Recommends ipw3954-source, which no longer exists
Date: Tue, 01 Jun 2010 08:29:07 +0200
[Felipe Sateler]
> % discover-pkginstall -l
> ipw3945-source
>
> ipw3945 has been superseeded by the iwl drivers.

Thank you for reviewing the discover-pkginstall behaviour. :)

When did it become superseeded?  What does that mean for discover?
Should some other package be proposed, or the ipw3945-source package
not be proposed for newer versions of Debian?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#583993; Package discover-data. (Tue, 01 Jun 2010 08:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 01 Jun 2010 08:30:10 GMT) Full text and rfc822 format available.

Message #15 received at 583993@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 583993@bugs.debian.org
Cc: Felipe Sateler <fsateler@gmail.com>
Subject: Re: Bug#583993: discover-pkginstall: Recommends ipw3954-source, which no longer exists
Date: Tue, 1 Jun 2010 10:28:15 +0200
On Tue, Jun 01, 2010 at 08:29:07AM +0200, Petter Reinholdtsen wrote:
> [Felipe Sateler]
> > % discover-pkginstall -l
> > ipw3945-source
> > ipw3945 has been superseeded by the iwl drivers.
> When did it become superseeded?  What does that mean for discover?
> Should some other package be proposed, or the ipw3945-source package
> not be proposed for newer versions of Debian?

It got deprecated with Lenny as the Linux kernel includes the support
for this device.

Bastian

-- 
You!  What PLANET is this!
		-- McCoy, "The City on the Edge of Forever", stardate 3134.0




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#583993; Package discover-data. (Tue, 01 Jun 2010 15:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felipe Sateler <fsateler@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 01 Jun 2010 15:57:04 GMT) Full text and rfc822 format available.

Message #20 received at 583993@bugs.debian.org (full text, mbox):

From: Felipe Sateler <fsateler@gmail.com>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 583993@bugs.debian.org
Subject: Re: Bug#583993: discover-pkginstall: Recommends ipw3954-source, which no longer exists
Date: Tue, 1 Jun 2010 11:50:24 -0400
On Tue, Jun 1, 2010 at 02:29, Petter Reinholdtsen <pere@hungry.com> wrote:
> [Felipe Sateler]
>> % discover-pkginstall -l
>> ipw3945-source
>>
>> ipw3945 has been superseeded by the iwl drivers.
>
> Thank you for reviewing the discover-pkginstall behaviour. :)
>
> When did it become superseeded?  What does that mean for discover?
> Should some other package be proposed, or the ipw3945-source package
> not be proposed for newer versions of Debian?

Yes, ipw* should not be proposed anymore. Instead, firmware-iwlwifi
should be. But that's another bug (#464968).

-- 

Saludos,
Felipe Sateler




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#583993; Package discover-data. (Tue, 01 Jun 2010 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 01 Jun 2010 18:00:03 GMT) Full text and rfc822 format available.

Message #25 received at 583993@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Felipe Sateler <fsateler@gmail.com>, 583993@bugs.debian.org
Subject: Re: Bug#583993: discover-pkginstall: Recommends ipw3954-source, which no longer exists
Date: Tue, 1 Jun 2010 19:56:29 +0200
[Felipe Sateler]
> Yes, ipw* should not be proposed anymore.

You did not answer when it happen, so I suspect it might have happened
after Lenny.  If that is the case, I suspect the entries should be
changed to versioned entries looking like this:

    <data class='package'>
      <data class='debian'>
        <data version='[3.0, 5.0) class='name'>ipw3945-source</data>
      </data>
    </data>

I'll commit such change to svn.

What about the entries listing the ipw3945d package.  Is it still
useful for hardware using the iwlwifi module?

I welcome patches for discover from someone knowing more about the
wireless stuff in debian than me. :)

> Instead, firmware-iwlwifi should be. But that's another bug
> (#464968).

Firmware packages seem to be handled already by the installer, so I am
not sure if is useful to try to duplicate it in discover with the
current man-power available. :)

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#583993; Package discover-data. (Tue, 01 Jun 2010 18:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 01 Jun 2010 18:27:07 GMT) Full text and rfc822 format available.

Message #30 received at 583993@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 583993@bugs.debian.org
Cc: Felipe Sateler <fsateler@gmail.com>
Subject: Re: Bug#583993: discover-pkginstall: Recommends ipw3954-source, which no longer exists
Date: Tue, 1 Jun 2010 11:25:31 -0700
On Tue, Jun 01, 2010 at 07:56:29PM +0200, Petter Reinholdtsen wrote:
> [Felipe Sateler]
> > Yes, ipw* should not be proposed anymore.

> You did not answer when it happen, so I suspect it might have happened
> after Lenny.

The ipw3945-source package only exists in etch, not in lenny.  The
linux-image-2.6.26-2-686_2.6.26-21_i386.deb includes the iwl3945 driver.

> What about the entries listing the ipw3945d package.  Is it still
> useful for hardware using the iwlwifi module?

No.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Thu, 14 Oct 2010 23:09:05 GMT) Full text and rfc822 format available.

Notification sent to Felipe Sateler <fsateler@gmail.com>:
Bug acknowledged by developer. (Thu, 14 Oct 2010 23:09:05 GMT) Full text and rfc822 format available.

Message #35 received at 583993-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 583993-close@bugs.debian.org
Subject: Bug#583993: fixed in discover-data 2.2010.10.14
Date: Thu, 14 Oct 2010 23:05:14 +0000
Source: discover-data
Source-Version: 2.2010.10.14

We believe that the bug you reported is fixed in the latest version of
discover-data, which is due to be installed in the Debian FTP archive:

discover-data_2.2010.10.14.dsc
  to main/d/discover-data/discover-data_2.2010.10.14.dsc
discover-data_2.2010.10.14.tar.gz
  to main/d/discover-data/discover-data_2.2010.10.14.tar.gz
discover-data_2.2010.10.14_all.deb
  to main/d/discover-data/discover-data_2.2010.10.14_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 583993@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated discover-data package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 14 Oct 2010 23:07:42 +0200
Source: discover-data
Binary: discover-data
Architecture: source all
Version: 2.2010.10.14
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 discover-data - Data lists for Discover hardware detection system
Closes: 583993 595100
Changes: 
 discover-data (2.2010.10.14) unstable; urgency=low
 .
   * Update HW mappings for PCI devices:
      8086:3582: install i810switch.
      80ee:beef: Install virtualbox-ose-guest-x11.
      Made ipw3945-source and ipw3945d package entries versioned to
      Etch and earlier (Closes: #583993).
   * Update HW mappings for USB devices:
      04e8:323a: Install splix.
      04e8:323b: Install splix.
      04e8:323d: Install splix.
      04e8:3242: Install splix.
      04e8:324c: Install splix.
      04e8:324d: Install splix.
      04e8:325b: Install splix.
      04e8:325f: Install splix.
      04e8:3260: Install splix.
      04e8:3268: Install splix.
      04e8:3276: Install splix.
      04e8:341b: Install splix.
      04e8:3426: Install splix (Closes: #595100).
   * Add depends on ${misc:Depends} to keep debhelper and lintian happy.
   * Raise debhelper compatibility level from 4 to 7.
   * Suggest python dependencies needed to update the data files.  These
     are only useful for the tools, and not needed for users of the data.
   * Update standards-version from 3.8.4 3.9.1.  No change needed.
Checksums-Sha1: 
 0ec0fdd052886a7195414580a5485cdfede4c99a 1125 discover-data_2.2010.10.14.dsc
 c178e97a42a5833f15feaf63f9acc07d0f2d8633 782190 discover-data_2.2010.10.14.tar.gz
 2a87396b5ecadef439f17d117b4677b44cbbbe9d 427402 discover-data_2.2010.10.14_all.deb
Checksums-Sha256: 
 9efcf564fc1f52c9680817f852d59b3563ede06de765d3de801c31722cc8c323 1125 discover-data_2.2010.10.14.dsc
 22714a677ae3efabcfd3572474f2c5ea0048f78a00cc5e992f5aa033232351a9 782190 discover-data_2.2010.10.14.tar.gz
 e72128c7cd0e8aa215a139323dd002e01a7b9a597eb1e3782564155a06fffe1c 427402 discover-data_2.2010.10.14_all.deb
Files: 
 af630646d751cc60f4fb4b68eb4adf8e 1125 libs optional discover-data_2.2010.10.14.dsc
 a867e4979dc3a130e0be55da1b793de1 782190 libs optional discover-data_2.2010.10.14.tar.gz
 62178617e14d285c3157fc73926946b9 427402 libs optional discover-data_2.2010.10.14_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFMt3J020zMSyow1ykRArNcAKCmjKvC8eFQw0u+Ni3Kc/840NlZcgCgsgdV
8AHPjl9eJU/JV6o/Hd/HD7o=
=TGQJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Nov 2010 07:33:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:01:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.